SystemOrganization addCategory: #SistemaWeb!

WAComponent subclass: #LoginComponent
	instanceVariableNames: 'name password user warning'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SistemaWeb'!

!LoginComponent methodsFor: 'rendering' stamp: 'FA 6/29/2013 23:00'!
renderContentOn: html
	html div 
		class: 'login-container';
		with: [
			
			html heading: warning.  
			html form: [
				html textInput
					text: 'name' ;
					callback: [ :value | name := value ].
				html passwordInput
					text: 'password' ;  
					callback: [ :value | password := value ].  
				html submitButton
					text: 'Login';
					callback: [   user:=(UserManager singleton) login: { name . password }.
								user ifNil: [	warning :=	'Incorrect login.' ];
									  ifNotNil: [ warning := 'Welcome, ', (user username). ].    
				 			 ].  
			].
		]
! !

WAComponent subclass: #MainComponent
	instanceVariableNames: 'login'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SistemaWeb'!

!MainComponent class methodsFor: 'class initialization' stamp: 'HGPL 6/29/2013 21:22'!
initialize
	WAAdmin register: self asApplicationAt: 'poo'! !

!MainComponent methodsFor: 'initialization' stamp: 'HGPL 6/29/2013 21:26'!
initialize
	super initialize.
	login := LoginComponent new! !

!MainComponent methodsFor: 'rendering' stamp: 'FA 6/30/2013 11:56'!
renderContentOn: html
	html div
		class: 'header';
		with: [
			login renderContentOn: html.
		].
	html horizontalRule.
	html anchor 
		callback: [ self call: (SignUpComponent new) ];
		with: 'Sign Up'.  
! !

!MainComponent methodsFor: 'rendering' stamp: 'FA 6/30/2013 11:57'!
style ^ 'div.header {
   height: 30px;
}

div.login-container {
   width: 350px;
   float: right;
   display: block;
}'! !

WAComponent subclass: #SignUpComponent
	instanceVariableNames: 'name email password user warning'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SistemaWeb'!

!SignUpComponent methodsFor: 'rendering' stamp: 'FA 6/29/2013 22:16'!
initialize
	super initialize.
	user := nil.! !

!SignUpComponent methodsFor: 'rendering' stamp: 'FA 6/29/2013 22:37'!
renderContentOn: html

	html heading: warning.
	
	html form: [
		html text: 'Name:'.
		html textInput
			callback: [ :value | name := value ] .
		html break.
		html text: 'Email:'.
		html textInput
			callback: [ :value | email := value ] .
		html break.
		html text:'Password:'.
		html passwordInput
			callback: [ :value | password  := value ] .
		html break.
		html submitButton
			callback: [ user := (UserManager singleton) register: (Dictionary newFrom: {'username' -> name.  'password' -> password . 'email' -> email }).
					    user ifNil:  [ warning := 'Sorry, user already exists.' . ];
							ifNotNil:  [ warning := 'Welcome, ' , name .  ].  ]  .
	].
	

! !
MainComponent initialize!
